# Acceptance testing
#
# The _app folder contains a yii application with the module
# To separate the default server running on localhost (possibly port 80), 
# the tests runs on the embedd php server, started with "yii serve"
# The testing environment connects to this server with the chrome webdriver.
#
# Running the tests:
#
# 1. 
# Start the embedd server with: "yii serve --docroot=vendor\azbuco\yii2-user\tests\_app\web --port=8080"
# The docroot and port specifies, that the "http://localhost:8080" url now points to the test/_app/web folder.
# When started, you should see something like this:
#
# Server started on http://localhost:8080/
# Document root is "vendor\azbuco\yii2-user\tests\_app\web"
#
# 2.
# Start the webdriver with: "chromedriver --url-base=/wd/hub --port=4444"
# When started, you should see something like this:
#
# Starting ChromeDriver 2.41.578737 (49da6702b16031c40d63e5618de03a32ff6c197e) on port 4444
# Only local connections are allowed.
#
# 3.
# Run the tests from the module folder ("vendor/azbuco/yii2-user"): 
# "php ..\..\codeception\codeception\codecept run acceptance"

actor: AcceptanceTester
modules:
    enabled:
        - WebDriver:
            # This is the server, which the webdriver connects to
            # It should be a temporary server, to separate from the local testing environment.
            url: http://localhost:8080/
            
            # The chromedriver listens for commands on port 9515, but codeception tries to communicat on port 4444. 
            # Either start chromedriver on port 4444, (which is the 2. point above) or uncomment the line below.
            # port: 9515
            
            # Browser parameter is required. Since we use the chromedriver, its value practically ignored.
            browser: chrome
        - Yii2:
            part: ORM
            transaction: false
            cleanup: false
